<%@ page autoeventwireup="false" inherits="Admin_SubscriptionUnreg, App_Web_l_kbhr2n" language="VB" masterpagefile="~/Admin/MasterPageAdmin.master" title="" enableEventValidation="false" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <center>
        <asp:Label ID="lblCustomer" CssClass="AdminHead" runat="server" Text="<%$ Resources:Resource, Admin_Subscription_Unreg_Header %>"></asp:Label><br />
        <asp:Label ID="lblCustomerName" CssClass="AdminSubHead" runat="server" Text="<%$ Resources:Resource, Admin_Subscription_Unreg_SubHeader %>"></asp:Label><br />
    </center>
    <br />
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <center>
                <asp:Label ID="lblSplit3" runat="server" Text="<%$ Resources:Resource, Admin_Slash %>"></asp:Label>
                <asp:HyperLink ID="lnkHyperSubscription" runat="server" NavigateUrl="~/Admin/Subscription.aspx"
                    Text="<%$ Resources:Resource, Admin_Subscription_RegUsers %>" CssClass="Link"></asp:HyperLink>
                <asp:Label ID="lblSplit2" runat="server" Text="<%$ Resources:Resource, Admin_Slash %>"></asp:Label>
                <asp:HyperLink ID="lnkHyperSubscription_DeactivateReason" runat="server" NavigateUrl="~/Admin/Subscription_DeactivateReason.aspx"
                    Text="<%$ Resources:Resource, Admin_Subscription_DeactiveReason %>" CssClass="Link"></asp:HyperLink>
                <asp:Label ID="lblSplit1" runat="server" Text="<%$ Resources:Resource, Admin_Slash %>"></asp:Label>
            </center>
            <br />
            <center>
                <asp:GridView ID="GridView2" runat="server" DataKeyNames="ID" DataSourceID="SqlDataSource2"
                    AutoGenerateColumns="False" AllowPaging="True" AllowSorting="True" CellPadding="3"
                    CssClass="GridViewStyle" PageSize="20">
                    <Columns>
                        <asp:BoundField DataField="Email" HeaderText="<%$ Resources:Resource, Admin_Subscription_Unreg_Email %>"
                            SortExpression="Email">
                            <ItemStyle Width="200px" />
                            <HeaderStyle ForeColor="Black" />
                        </asp:BoundField>
                        <asp:BoundField DataField="ActivateCode" HeaderText="<%$ Resources:Resource, Admin_Subscription_Unreg_ActivateCode %>"
                            SortExpression="ActivateCode">
                            <HeaderStyle ForeColor="Black" />
                        </asp:BoundField>
                        <asp:BoundField DataField="DectivateCode" HeaderText="<%$ Resources:Resource, Admin_Subscription_Unreg_DeactivateCode %>"
                            SortExpression="DectivateCode">
                            <HeaderStyle ForeColor="Black" />
                        </asp:BoundField>
                        <asp:CheckBoxField DataField="Enable" HeaderText="<%$ Resources:Resource, Admin_Subscription_Unreg_Status %>"
                            SortExpression="Enable">
                            <ItemStyle Width="80px" />
                            <HeaderStyle ForeColor="Black" />
                        </asp:CheckBoxField>
                        
                       <%-- <asp:BoundField DataField="ActivateDate" HeaderText="<%$ Resources:Resource, Admin_Subscription_Unreg_Activated %>"
                            SortExpression="ActivateDate">
                            <ItemStyle Width="140px" />
                            <HeaderStyle ForeColor="Black" />
                        </asp:BoundField>--%>
                        
                        <asp:TemplateField SortExpression="ActivateDate" HeaderText="<%$ Resources:Resource, Admin_Subscription_Unreg_Activated %>">
                            <ItemTemplate>
                                 <asp:Label ID="lbl1" runat="server" Text='<%# iif((Eval("ActivateDate") isnot DbNull.value) AND (Eval("ActivateDate") isnot nothing), ConvertDateFromObj(Eval("ActivateDate")) , "" ) %>'></asp:Label>
                            </ItemTemplate>
                            <ItemStyle Width="140px" />
                            <HeaderStyle ForeColor="Black" />
                        </asp:TemplateField>
                        
                        <%--<asp:BoundField DataField="AddDate" HeaderText="<%$ Resources:Resource, Admin_Subscription_Unreg_Added %>"
                            SortExpression="AddDate">
                            <ItemStyle Width="140px" />
                            <HeaderStyle ForeColor="Black" />
                        </asp:BoundField>--%>
                        
                        <asp:TemplateField SortExpression="AddDate" HeaderText="<%$ Resources:Resource, Admin_Subscription_Unreg_Added %>">
                            <ItemTemplate>
                                 <asp:Label ID="lbl2" runat="server" Text='<%# Convert.ToDateTime(Eval("AddDate")).ToString("yyyy-MM-dd hh:mm:ss")%>'></asp:Label>
                            </ItemTemplate>
                            <ItemStyle Width="140px" />
                            <HeaderStyle ForeColor="Black" />
                        </asp:TemplateField>
                        
                        <asp:CommandField ShowDeleteButton="True" DeleteText="<%$ Resources:Resource, Admin_Delete %>">
                            <ItemStyle HorizontalAlign="Center" Width="75px" />
                            <ControlStyle CssClass="Link" />
                        </asp:CommandField>
                    </Columns>
                    <RowStyle CssClass="GridView_RowStyle" />
                    <FooterStyle CssClass="GridView_FooterStyle" Font-Bold="True" />
                    <EditRowStyle CssClass="GridView_EditRowStyle" />
                    <SelectedRowStyle CssClass="GridView_SelectedRowStyle" />
                    <HeaderStyle CssClass="GridView_HeaderStyle" />
                    <AlternatingRowStyle CssClass="GridView_AlternatingRowStyle" />
                    <PagerStyle CssClass="GridView_PagerStyle" HorizontalAlign="Center" ForeColor="Black" />
                </asp:GridView>
            </center>
            <%--<hr />--%>
            <br />
            <br />
            <asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:AdvantConnectionString %>"
                DeleteCommand="DELETE FROM Subscribe WHERE (ID = @ID);" 
                SelectCommand="SELECT [ID], [Email], [Enable], [ActivateCode], [DectivateCode], [ActivateDate], [AddDate] FROM [dbo].[Subscribe] ORDER BY [AddDate] DESC">
                <DeleteParameters>
                    <asp:ControlParameter ControlID="GridView2" Name="ID" PropertyName="SelectedValue" />
                </DeleteParameters>
            </asp:SqlDataSource>
        </ContentTemplate>
    </asp:UpdatePanel>
    <br />
    <asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="UpdatePanel1">
        <ProgressTemplate>
            &nbsp; &nbsp;
            <asp:Image ID="imgUpdating" runat="server" AlternateText="<%$ Resources:Resource, Admin_Loading %>"
                ImageUrl="images/loading.gif" />
            <asp:Label ID="lblUpdating" runat="server" Text="<%$ Resources:Resource, Admin_Loading %>"></asp:Label>
        </ProgressTemplate>
    </asp:UpdateProgress>
</asp:Content>
